clear;
param;
load coef;

h=61;

yp=1; cp=2; kp=3; rp=4;
v1=zeros(4,h+1);
v2=zeros(4,h+1);

v1(kp,1)=0.9;
v2(kp,1)=0.11;

for j=1:h
    v1(cp,j)=chebypol(v1(kp,j),cf,ka,kb);
    v2(cp,j)=chebypol(v2(kp,j),cf,ka,kb);    
    v1(yp,j)=phi*v1(kp,j)^sk;
    v2(yp,j)=phi*v2(kp,j)^sk;
    v1(rp,j)=sk*phi*v1(kp,j)^(sk-1)-dk;
    v2(rp,j)=sk*phi*v2(kp,j)^(sk-1)-dk;
    v1(kp,j+1)=((1-dk)*v1(kp,j)+v1(yp,j)-v1(cp,j))/g;
    v2(kp,j+1)=((1-dk)*v2(kp,j)+v2(yp,j)-v2(cp,j))/g;    
end;

v1=v1(:,1:h);
v2=v2(:,1:h);

g1=(log(v1(:,2:h))-log(v1(:,1:h-1)))*100;
v1=v1(:,2:h);
g2=(log(v2(:,2:h))-log(v2(:,1:h-1)))*100;
v2=v2(:,2:h);

set(0,'DefaultAxesLineStyleOrder',{'-',':','-.','--','o-'});
set(0,'DefaultAxesColorOrder',[0,0,0]);

subplot(3,1,1), plot([v1(yp,:);v2(yp,:)]'); ylabel('Output');
legend('Rich','Poor',0);
subplot(3,1,2), plot([v1(cp,:);v2(cp,:)]'); ylabel('Consumption');
legend('Rich','Poor',0);
subplot(3,1,3), plot([v1(kp,:);v2(kp,:)]'); ylabel('Capital'); xlabel('Years')
legend('Rich','Poor',0);

pause;

subplot(1,1,1);
subplot(3,1,1), plot([g1(yp,:);g2(yp,:)]'); ylabel('Output');
legend('Rich','Poor',0);
subplot(3,1,2), plot([g1(cp,:);g2(cp,:)]'); ylabel('Consumption');
legend('Rich','Poor',0);
subplot(3,1,3), plot([g1(kp,:);g2(kp,:)]'); ylabel('Capital'); xlabel('Years')
legend('Rich','Poor',0);

pause;

subplot(1,1,1), plot([v1(rp,:);v2(rp,:)]'*100); ylabel('Rental rates');
legend('Rich','Poor',0); xlabel('Years');

set(0,'DefaultAxesLineStyleOrder','remove');
set(0,'DefaultAxesColorOrder','remove');