clear
param
load coef

h=60; h1=5;

yp=1; cp=2; ip=3; kp=4; rp=5;

v=zeros(5,h+1);
ss1=[yss;css;yss-css;kss;sk*yss/kss-dk];
v(:,1:h1)=ss1(:,ones(1,h1));

% Experiment:

phi=phi*1.01;

ks2=((g^mu/be-1+dk)/(phi*sk))^(1/(sk-1));
ka2=ks2*0.1;
kb2=ks2*1.9;

cf2=colcheby('residcol',cf,ka2,kb2,length(cf)-1,[]);

for j=h1:h
    v(cp,j)=chebypol(v(kp,j),cf2,ka2,kb2);
    v(yp,j)=phi*v(kp,j)^sk;
    v(ip,j)=v(yp,j)-v(cp,j);
    v(rp,j)=sk*phi*v(kp,j)^(sk-1)-dk;
    v(kp,j+1)=((1-dk)*v(kp,j)+v(yp,j)-v(cp,j))/g;
end;

v=(v(:,1:h)-ss1(:,ones(1,h)))./ss1(:,ones(1,h))*100;

subplot(2,2,1), plot(v([yp kp],:)');
legend('y','k',0); title('Output&Capital'); ylabel('% Dev. from s.s.')
subplot(2,2,2), plot(v(cp,:)'); title('Consumption');
subplot(2,2,3), plot(v(ip,:)'); title('Investment');
xlabel('Years'); ylabel('% Dev. from s.s.')
subplot(2,2,4), plot(v(rp,:)'); title('Interest rate'); xlabel('Years');